From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/gom/
Date: Tue, 16 Jul 2024 08:52:03 +0000 (UTC) [thread overview]
Message-ID: <1721119888.adb85039524d087f1cab175c77d483c0ea27e50e.pacho@gentoo> (raw)
commit: adb85039524d087f1cab175c77d483c0ea27e50e
Author: Guillermo Joandet <gjoandet <AT> gmail <DOT> com>
AuthorDate: Wed Jul 10 16:26:50 2024 +0000
Commit: Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Tue Jul 16 08:51:28 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=adb85039
dev-libs/gom: Bump to 0.5.2
Closes: https://bugs.gentoo.org/934554
Closes: https://bugs.gentoo.org/906383
Signed-off-by: Guillermo Joandet <gjoandet <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/37511
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>
dev-libs/gom/Manifest | 1 +
dev-libs/gom/gom-0.5.2.ebuild | 62 +++++++++++++++++++++++++++++++++++++++++++
2 files changed, 63 insertions(+)
diff --git a/dev-libs/gom/Manifest b/dev-libs/gom/Manifest
index 621eb28a30f5..394ee5dc8317 100644
--- a/dev-libs/gom/Manifest
+++ b/dev-libs/gom/Manifest
@@ -1,2 +1,3 @@
DIST gom-0.4.tar.xz 102744 BLAKE2B 8116ac388a56e85effbb37c3d5ea5036f6de2f4ad7ee8fe119bd058e1ac3e293eab612a739cdba7467202bc9e258f7cd65b1f116e146577d3a103fc03afba37f SHA512 d847928ce09c53a3f64777c313cb843052e5e001873f29d3f7acf02772cadf0e4b133fb0137aa0463b4ff95dd54810bde87062d8e396ff4fc6d142ba59c8e9c8
DIST gom-0.5.1.tar.xz 106004 BLAKE2B 60cb744a77b4f7069430d27a88c6dce87cb5229758c637a49aa0ed05ff659099ba33923e5f576d797776b5af576beb57b0790633a1866f048279d5ae04e74f54 SHA512 6757a664f21cd8c1fb78b6446ed833e7290c9b91a39029363984049af840cd2685f43ebb184f7c966d9e395a1080454c182637fd64a1ff8b63272f4649db6a8a
+DIST gom-0.5.2.tar.xz 106068 BLAKE2B 4510f4e5c7cb85c2e05f43978d9995192a05d1270af9bb2ac16d44a57a76d4b31b2ffff8f8548cbd59f564ab59b903000090edc53d05ea0999a29250ec87e978 SHA512 e82e628a62da2a93282f75ebfd2ec158c54b734a107418972085520536f8aebf50701253afb3a2fa3927c637d75403881aed96c175fcf9ae9f71a735f16f6f19
diff --git a/dev-libs/gom/gom-0.5.2.ebuild b/dev-libs/gom/gom-0.5.2.ebuild
new file mode 100644
index 000000000000..c4e4635ae8f1
--- /dev/null
+++ b/dev-libs/gom/gom-0.5.2.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+GCONF_DEBUG="yes"
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit gnome.org meson python-r1
+
+DESCRIPTION="GObject to SQLite object mapper library"
+HOMEPAGE="https://wiki.gnome.org/Projects/Gom"
+
+LICENSE="LGPL-2+ FDL-1.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="gtk-doc +introspection python test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="python? ( introspection ${PYTHON_REQUIRED_USE} )"
+
+BDEPEND="dev-build/gtk-doc-am"
+RDEPEND="
+ >=dev-db/sqlite-3.7:3
+ >=dev-libs/glib-2.38:2
+ introspection? ( >=dev-libs/gobject-introspection-1.30.0:= )
+ python? ( ${PYTHON_DEPS}
+ >=dev-python/pygobject-3.16:3[${PYTHON_USEDEP}] )
+"
+DEPEND="${RDEPEND}
+ gtk-doc? ( dev-util/gi-docgen )
+ virtual/pkgconfig
+ test? ( x11-libs/gdk-pixbuf:2 )
+"
+
+src_prepare() {
+ default
+ sed -i -e '/subdir.*python/d' bindings/meson.build || die
+ # drop test building and deps if not enabled
+ if ! use test; then
+ sed -i -e '/gdkpixbuf_dep/d' meson.build || die
+ sed -i -e '/subdir(.*tests.*)/d' meson.build || die
+ fi
+}
+
+src_configure() {
+ local emesonargs=(
+ $(meson_use introspection enable-introspection)
+ $(meson_use gtk-doc enable-gtk-doc)
+ )
+
+ meson_src_configure
+}
+
+src_install() {
+ docinto examples
+ dodoc examples/*.py
+
+ meson_src_install
+
+ if use python; then
+ python_foreach_impl python_domodule bindings/python/gi
+ fi
+}
next reply other threads:[~2024-07-16 8:52 UTC|newest]
Thread overview: 32+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-07-16 8:52 Pacho Ramos [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-07-16 15:13 [gentoo-commits] repo/gentoo:master commit in: dev-libs/gom/ Pacho Ramos
2024-07-16 8:53 Pacho Ramos
2024-06-19 8:56 Pacho Ramos
2024-06-16 10:57 Pacho Ramos
2024-06-16 10:57 Pacho Ramos
2023-07-27 5:46 WANG Xuerui
2022-10-29 23:21 Matt Turner
2022-04-16 20:09 Matt Turner
2021-08-27 15:19 Yixun Lan
2021-04-15 1:18 Matt Turner
2021-03-04 0:23 Sam James
2020-02-26 8:45 Mart Raudsepp
2020-02-26 8:37 Mart Raudsepp
2020-02-26 8:33 Mart Raudsepp
2020-02-26 8:33 Mart Raudsepp
2020-02-26 8:33 Mart Raudsepp
2020-02-26 8:33 Mart Raudsepp
2020-01-19 23:24 Rémi Cardona
2020-01-17 8:25 Rémi Cardona
2020-01-15 23:11 Rémi Cardona
2019-02-17 16:47 Mart Raudsepp
2018-06-23 19:13 Pacho Ramos
2017-07-14 13:57 Alexis Ballier
2017-06-17 8:32 Sergei Trofimovich
2017-04-04 21:04 Markus Meier
2016-09-17 14:03 Gilles Dartiguelongue
2016-09-17 14:03 Gilles Dartiguelongue
2016-03-06 16:43 Mikle Kolyada
2015-12-29 8:04 Patrick Lauer
2015-12-28 23:09 Gilles Dartiguelongue
2015-10-04 15:10 Mike Gilbert
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1721119888.adb85039524d087f1cab175c77d483c0ea27e50e.pacho@gentoo \
--to=pacho@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox